com.microfocus.zserver.zexplorer.model

## Class MvsResource

- java.lang.Object
- - AbstractResource
  - - com.microfocus.zserver.zexplorer.model.MvsResource

- All Implemented Interfaces:
    ISavableResource
  Direct Known Subclasses:
    MvsDataset, MvsDatasetMember

      public abstract class MvsResource
      extends AbstractResource
      implements ISavableResource

  Superclass of all resources of an MVS system.
  Author:
    Micro Focus

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MvsResource(ISubSystem pSubSys)` Constructs a new MVS resource.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAbsoluteName()`
    `IGetDataResponse` | `getContents(org.eclipse.core.runtime.IProgressMonitor pMon)`
    `IMvsSubsystem` | `getSubSystem()`
    `ISystemImage` | `getSystemImage()`
    `boolean` | `hasSuffix()`
    `void` | `refresh(org.eclipse.core.runtime.IProgressMonitor pMon)`
    `void` | `rename(java.lang.String pName, org.eclipse.core.runtime.IProgressMonitor pMon)`
    `void` | `save(java.io.InputStream pIs)` Overwrites the resource's content with the given `InputStream`.
    `void` | `unlock(org.eclipse.core.runtime.IProgressMonitor pMon)` Uses the `DEQUEUE` zServer command to reset the exclusive access (enqueue) of this resource.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.microfocus.awm.model.ISavableResource

      `getName`

- - ### Constructor Detail

    - #### MvsResource

          public MvsResource(ISubSystem pSubSys)

      Constructs a new MVS resource.
      Parameters:
        `pSubSys` - the sub system to which the resource belongs

  - ### Method Detail

    - #### save

          public void save(java.io.InputStream pIs)
                    throws java.io.IOException

      Description copied from interface: `ISavableResource`
      Overwrites the resource's content with the given `InputStream`.
      Specified by:
        `save` in interface `ISavableResource`
      Parameters:
        `pIs` - the new content of the resource
      Throws:
        `java.io.IOException` - if a I/O exception of any kind occurs during the save action

    - #### getSubSystem

          public IMvsSubsystem getSubSystem()

    - #### unlock

          public void unlock(org.eclipse.core.runtime.IProgressMonitor pMon)
                      throws java.io.IOException

      Uses the `DEQUEUE` zServer command to reset the exclusive access (enqueue) of this resource.

      Warning: `DEQUEUE` works for resources that are in exclusive use from other users.

      Specified by:
        `unlock` in interface `ISavableResource`
      Parameters:
        `pMon` - progress monitor
      Throws:
        `java.io.IOException` - if unlocking the resource fails

    - #### getContents

          public IGetDataResponse getContents(org.eclipse.core.runtime.IProgressMonitor pMon)
                                       throws java.io.IOException,
                                              DatasetMigatedException

      Throws:
        `java.io.IOException`
        `DatasetMigatedException`

    - #### rename

          public void rename(java.lang.String pName,
                             org.eclipse.core.runtime.IProgressMonitor pMon)
                      throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### refresh

          public void refresh(org.eclipse.core.runtime.IProgressMonitor pMon)
                       throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### hasSuffix

          public boolean hasSuffix()

    - #### getSystemImage

          public ISystemImage getSystemImage()

    - #### getAbsoluteName

          public java.lang.String getAbsoluteName()

Copyright © 2015 Micro Focus GmbH. All rights reserved.